/**
 * DevExtreme (cjs/__internal/scheduler/m_classes.js)
 * Version: 24.1.7-build-24279-1936
 * Build date: Sat Oct 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.VIRTUAL_CELL_CLASS = exports.VERTICAL_GROUP_COUNT_CLASSES = exports.TIME_PANEL_CLASS = exports.REDUCED_APPOINTMENT_PARTS_CLASSES = exports.REDUCED_APPOINTMENT_ICON = exports.REDUCED_APPOINTMENT_CLASS = exports.RECURRENCE_APPOINTMENT_CLASS = exports.LAST_GROUP_CELL_CLASS = exports.HEADER_CURRENT_TIME_CELL_CLASS = exports.GROUP_ROW_CLASS = exports.GROUP_HEADER_CONTENT_CLASS = exports.FIXED_CONTAINER_CLASS = exports.FIRST_GROUP_CELL_CLASS = exports.EMPTY_APPOINTMENT_CLASS = exports.DIRECTION_APPOINTMENT_CLASSES = exports.DATE_TABLE_ROW_CLASS = exports.DATE_TABLE_CLASS = exports.APPOINTMENT_ITEM_CLASS = exports.APPOINTMENT_HAS_RESOURCE_COLOR_CLASS = exports.APPOINTMENT_DRAG_SOURCE_CLASS = exports.APPOINTMENT_CONTENT_CLASSES = exports.ALL_DAY_APPOINTMENT_CLASS = exports.AGENDA_LAST_IN_DATE_APPOINTMENT_CLASS = void 0;
const FIXED_CONTAINER_CLASS = exports.FIXED_CONTAINER_CLASS = "dx-scheduler-fixed-appointments";
const REDUCED_APPOINTMENT_CLASS = exports.REDUCED_APPOINTMENT_CLASS = "dx-scheduler-appointment-reduced";
const REDUCED_APPOINTMENT_ICON = exports.REDUCED_APPOINTMENT_ICON = "dx-scheduler-appointment-reduced-icon";
const RECURRENCE_APPOINTMENT_CLASS = exports.RECURRENCE_APPOINTMENT_CLASS = "dx-scheduler-appointment-recurrence";
const EMPTY_APPOINTMENT_CLASS = exports.EMPTY_APPOINTMENT_CLASS = "dx-scheduler-appointment-empty";
const ALL_DAY_APPOINTMENT_CLASS = exports.ALL_DAY_APPOINTMENT_CLASS = "dx-scheduler-all-day-appointment";
const REDUCED_APPOINTMENT_PARTS_CLASSES = exports.REDUCED_APPOINTMENT_PARTS_CLASSES = {
    head: "dx-scheduler-appointment-head",
    body: "dx-scheduler-appointment-body",
    tail: "dx-scheduler-appointment-tail"
};
const DIRECTION_APPOINTMENT_CLASSES = exports.DIRECTION_APPOINTMENT_CLASSES = {
    horizontal: "dx-scheduler-appointment-horizontal",
    vertical: "dx-scheduler-appointment-vertical"
};
const APPOINTMENT_DRAG_SOURCE_CLASS = exports.APPOINTMENT_DRAG_SOURCE_CLASS = "dx-scheduler-appointment-drag-source";
const APPOINTMENT_ITEM_CLASS = exports.APPOINTMENT_ITEM_CLASS = "dx-scheduler-appointment";
const APPOINTMENT_CONTENT_CLASSES = exports.APPOINTMENT_CONTENT_CLASSES = {
    APPOINTMENT_CONTENT_DETAILS: "dx-scheduler-appointment-content-details",
    RECURRING_ICON: "dx-scheduler-appointment-recurrence-icon",
    APPOINTMENT_TITLE: "dx-scheduler-appointment-title",
    APPOINTMENT_DATE: "dx-scheduler-appointment-content-date",
    ALL_DAY_CONTENT: "dx-scheduler-appointment-content-allday",
    ITEM: "dx-scheduler-appointment",
    STRIP: "dx-scheduler-appointment-strip",
    AGENDA_MARKER: "dx-scheduler-agenda-appointment-marker",
    AGENDA_RESOURCE_LIST: "dx-scheduler-appointment-resource-list",
    AGENDA_RESOURCE_LIST_ITEM: "dx-scheduler-appointment-resource-item",
    AGENDA_RESOURCE_LIST_ITEM_VALUE: "dx-scheduler-appointment-resource-item-value"
};
const AGENDA_LAST_IN_DATE_APPOINTMENT_CLASS = exports.AGENDA_LAST_IN_DATE_APPOINTMENT_CLASS = "dx-scheduler-last-in-date-agenda-appointment";
const APPOINTMENT_HAS_RESOURCE_COLOR_CLASS = exports.APPOINTMENT_HAS_RESOURCE_COLOR_CLASS = "dx-scheduler-appointment-has-resource-color";
const HEADER_CURRENT_TIME_CELL_CLASS = exports.HEADER_CURRENT_TIME_CELL_CLASS = "dx-scheduler-header-panel-current-time-cell";
const VIRTUAL_CELL_CLASS = exports.VIRTUAL_CELL_CLASS = "dx-scheduler-virtual-cell";
const TIME_PANEL_CLASS = exports.TIME_PANEL_CLASS = "dx-scheduler-time-panel";
const DATE_TABLE_CLASS = exports.DATE_TABLE_CLASS = "dx-scheduler-date-table";
const DATE_TABLE_ROW_CLASS = exports.DATE_TABLE_ROW_CLASS = "dx-scheduler-date-table-row";
const GROUP_ROW_CLASS = exports.GROUP_ROW_CLASS = "dx-scheduler-group-row";
const GROUP_HEADER_CONTENT_CLASS = exports.GROUP_HEADER_CONTENT_CLASS = "dx-scheduler-group-header-content";
const LAST_GROUP_CELL_CLASS = exports.LAST_GROUP_CELL_CLASS = "dx-scheduler-last-group-cell";
const FIRST_GROUP_CELL_CLASS = exports.FIRST_GROUP_CELL_CLASS = "dx-scheduler-first-group-cell";
const VERTICAL_GROUP_COUNT_CLASSES = exports.VERTICAL_GROUP_COUNT_CLASSES = ["dx-scheduler-group-column-count-one", "dx-scheduler-group-column-count-two", "dx-scheduler-group-column-count-three"];
