/**
 * DevExtreme (cjs/__internal/ui/form/constants.js)
 * Version: 24.1.7-build-24279-1936
 * Build date: Sat Oct 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.WIDGET_CLASS = exports.SINGLE_COLUMN_ITEM_CONTENT = exports.SIMPLE_ITEM_TYPE = exports.ROOT_SIMPLE_ITEM_CLASS = exports.LAYOUT_MANAGER_ONE_COLUMN = exports.GROUP_COL_COUNT_CLASS = exports.GROUP_COL_COUNT_ATTR = exports.FORM_VALIDATION_SUMMARY = exports.FORM_UNDERLINED_CLASS = exports.FORM_LAYOUT_MANAGER_CLASS = exports.FORM_GROUP_WITH_CAPTION_CLASS = exports.FORM_GROUP_CUSTOM_CAPTION_CLASS = exports.FORM_GROUP_CONTENT_CLASS = exports.FORM_GROUP_CLASS = exports.FORM_GROUP_CAPTION_CLASS = exports.FORM_FIELD_ITEM_COL_CLASS = exports.FORM_CLASS = exports.FIELD_ITEM_TAB_CLASS = exports.FIELD_ITEM_LABEL_CONTENT_CLASS = exports.FIELD_ITEM_LABEL_CLASS = exports.FIELD_ITEM_CONTENT_HAS_TABS_CLASS = exports.FIELD_ITEM_CONTENT_HAS_GROUP_CLASS = exports.FIELD_ITEM_CONTENT_CLASS = exports.FIELD_ITEM_CLASS = void 0;
const WIDGET_CLASS = exports.WIDGET_CLASS = "dx-widget";
const FORM_CLASS = exports.FORM_CLASS = "dx-form";
const FORM_GROUP_CLASS = exports.FORM_GROUP_CLASS = "dx-form-group";
const FORM_GROUP_CAPTION_CLASS = exports.FORM_GROUP_CAPTION_CLASS = "dx-form-group-caption";
const FORM_GROUP_CUSTOM_CAPTION_CLASS = exports.FORM_GROUP_CUSTOM_CAPTION_CLASS = "dx-form-group-custom-caption";
const FORM_FIELD_ITEM_COL_CLASS = exports.FORM_FIELD_ITEM_COL_CLASS = "dx-col-";
const FIELD_ITEM_CLASS = exports.FIELD_ITEM_CLASS = "dx-field-item";
const LAYOUT_MANAGER_ONE_COLUMN = exports.LAYOUT_MANAGER_ONE_COLUMN = "dx-layout-manager-one-col";
const FIELD_ITEM_LABEL_CONTENT_CLASS = exports.FIELD_ITEM_LABEL_CONTENT_CLASS = "dx-field-item-label-content";
const FORM_LAYOUT_MANAGER_CLASS = exports.FORM_LAYOUT_MANAGER_CLASS = "dx-layout-manager";
const FIELD_ITEM_LABEL_CLASS = exports.FIELD_ITEM_LABEL_CLASS = "dx-field-item-label";
const FIELD_ITEM_CONTENT_CLASS = exports.FIELD_ITEM_CONTENT_CLASS = "dx-field-item-content";
const SINGLE_COLUMN_ITEM_CONTENT = exports.SINGLE_COLUMN_ITEM_CONTENT = "dx-single-column-item-content";
const ROOT_SIMPLE_ITEM_CLASS = exports.ROOT_SIMPLE_ITEM_CLASS = "dx-root-simple-item";
const FORM_GROUP_CONTENT_CLASS = exports.FORM_GROUP_CONTENT_CLASS = "dx-form-group-content";
const FIELD_ITEM_CONTENT_HAS_GROUP_CLASS = exports.FIELD_ITEM_CONTENT_HAS_GROUP_CLASS = "dx-field-item-has-group";
const FIELD_ITEM_CONTENT_HAS_TABS_CLASS = exports.FIELD_ITEM_CONTENT_HAS_TABS_CLASS = "dx-field-item-has-tabs";
const FORM_GROUP_WITH_CAPTION_CLASS = exports.FORM_GROUP_WITH_CAPTION_CLASS = "dx-form-group-with-caption";
const FIELD_ITEM_TAB_CLASS = exports.FIELD_ITEM_TAB_CLASS = "dx-field-item-tab";
const GROUP_COL_COUNT_CLASS = exports.GROUP_COL_COUNT_CLASS = "dx-group-colcount-";
const GROUP_COL_COUNT_ATTR = exports.GROUP_COL_COUNT_ATTR = "group-col-count";
const FORM_VALIDATION_SUMMARY = exports.FORM_VALIDATION_SUMMARY = "dx-form-validation-summary";
const FORM_UNDERLINED_CLASS = exports.FORM_UNDERLINED_CLASS = "dx-form-styling-mode-underlined";
const SIMPLE_ITEM_TYPE = exports.SIMPLE_ITEM_TYPE = "simple";
