/**
 * DevExtreme (cjs/__internal/core/license/trial_panel.js)
 * Version: 24.1.7-build-24279-1936
 * Build date: Sat Oct 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.registerTrialPanelComponents = registerTrialPanelComponents;
exports.showTrialPanel = showTrialPanel;
var _trial_panel = require("./trial_panel.client");

function showTrialPanel(buyNowUrl, version, customStyles) {
    if ((0, _trial_panel.isClient)()) {
        (0, _trial_panel.renderTrialPanel)(buyNowUrl, version, customStyles)
    }
}

function registerTrialPanelComponents(customStyles) {
    if ((0, _trial_panel.isClient)()) {
        (0, _trial_panel.registerCustomComponents)(customStyles)
    }
}
