/**
 * DevExtreme (cjs/__internal/scheduler/options_validator/core/index.js)
 * Version: 24.1.7-build-24279-1936
 * Build date: Sat Oct 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _exportNames = {
    OptionsValidator: true,
    OptionsValidatorErrorHandler: true,
    Validator: true
};
Object.defineProperty(exports, "OptionsValidator", {
    enumerable: true,
    get: function() {
        return _options_validator.OptionsValidator
    }
});
Object.defineProperty(exports, "OptionsValidatorErrorHandler", {
    enumerable: true,
    get: function() {
        return _options_validator_error_handler.OptionsValidatorErrorHandler
    }
});
Object.defineProperty(exports, "Validator", {
    enumerable: true,
    get: function() {
        return _validator.Validator
    }
});
var _options_validator = require("./options_validator");
var _options_validator_error_handler = require("./options_validator_error_handler");
var _types = require("./types");
Object.keys(_types).forEach((function(key) {
    if ("default" === key || "__esModule" === key) {
        return
    }
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) {
        return
    }
    if (key in exports && exports[key] === _types[key]) {
        return
    }
    Object.defineProperty(exports, key, {
        enumerable: true,
        get: function() {
            return _types[key]
        }
    })
}));
var _validator = require("./validator");
var _validator_rules = require("./validator_rules");
Object.keys(_validator_rules).forEach((function(key) {
    if ("default" === key || "__esModule" === key) {
        return
    }
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) {
        return
    }
    if (key in exports && exports[key] === _validator_rules[key]) {
        return
    }
    Object.defineProperty(exports, key, {
        enumerable: true,
        get: function() {
            return _validator_rules[key]
        }
    })
}));
