/**
 * DevExtreme (esm/__internal/grids/grid_core/row_dragging/dom.js)
 * Version: 24.1.7-build-24279-1936
 * Build date: Sat Oct 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import $ from "../../../../core/renderer";
import gridCoreUtils from "../m_utils";
import {
    CLASSES
} from "./const";
const createHandleTemplateFunc = addWidgetPrefix => (container, options) => {
    const $container = $(container);
    if ("data" === options.rowType) {
        $container.addClass(CLASSES.cellFocusDisabled);
        return $("<span>").addClass(addWidgetPrefix(CLASSES.handleIcon))
    }
    gridCoreUtils.setEmptyText($container);
    return
};
export const GridCoreRowDraggingDom = {
    createHandleTemplateFunc: createHandleTemplateFunc
};
